/* Progress Bars */
.progress dt,
.progress dd,
.progress li {
    float: left;
    height: 20px;
    line-height: 20px;
}

.progress dt {
    width: 90px;
}

.progress .bar {
    position: relative;
}

.progress dd.bar {
    width: calc(100% - 125px);
}

.progress li.bar {
    width: 100%;
}

.progress .bar div,
.progress .bar period {
    height: 20px;
}

.progress .bar div {
    border-style: solid;
    border-width: 1px;
    box-sizing: border-box;
}

.progress .bar .container,
.progress .bar period {
    left: 0;
    position: absolute;
    top: 0;
}

.progress .bar .container {
    opacity: 0.6;
    width: 100%;
}

.progress .bar period {
    border-right: 1px dashed #990000;
}

.progress .bar.target div {
    background: linear-gradient(#ffff99, #ffff00);
    border-color: #ffff00;
}

.progress .bar.overall div {
    background: linear-gradient(#cc3333, #990000);
    border-color: #990000;
}

.progress .bar.leader div {
    background: linear-gradient(#ff9900, #ff6600);
    border-color: #ff6600;
}

.progress .bar.best div {
    background: linear-gradient(#33cc33, #009900);
    border-color: #009900;
}

.progress .bar.current div {
    background: linear-gradient(#3483cc, #00509a);
    border-color: #00509a;
}

.progress .bar.active div {
    background: linear-gradient(#34ccca, #009a98);
    border-color: #34ccca;
}

.progress .bar.active span:not(.value) {
    left: 3px;
    position: absolute;
    top: 0;
}

.progress dd.value {
    font-weight: bold;
    text-align: center;
    width: 35px;
}

.progress li span {
    display: inline-block;
    font-weight: bold;
    height: 20px;
    line-height: 20px;
    position: absolute;
    top: 0;
}

.progress li .name {
    left: 3px;
}

.progress li .value {
    right: 3px;
}
